<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: mqtt_message Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmqtt__message-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mqtt_message Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9471d7f2bb4489e6126a9a708621d088"><td class="memItemLeft" align="right" valign="top"><a id="a9471d7f2bb4489e6126a9a708621d088"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a9471d7f2bb4489e6126a9a708621d088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a041ddd10d315dd739831db3bd7ec0e"><td class="memItemLeft" align="right" valign="top"><a id="a6a041ddd10d315dd739831db3bd7ec0e"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>qos</b></td></tr>
<tr class="separator:a6a041ddd10d315dd739831db3bd7ec0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a41d1fca8f8d0d656ad3d5115cf2a4f"><td class="memItemLeft" align="right" valign="top"><a id="a7a41d1fca8f8d0d656ad3d5115cf2a4f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>retained</b></td></tr>
<tr class="separator:a7a41d1fca8f8d0d656ad3d5115cf2a4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe26dcac8e251f5978ea62ebb5ae0ec2"><td class="memItemLeft" align="right" valign="top"><a id="abe26dcac8e251f5978ea62ebb5ae0ec2"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>dup</b></td></tr>
<tr class="separator:abe26dcac8e251f5978ea62ebb5ae0ec2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a078ecbb904424484f996625808eceb7f"><td class="memItemLeft" align="right" valign="top"><a id="a078ecbb904424484f996625808eceb7f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>topic</b></td></tr>
<tr class="separator:a078ecbb904424484f996625808eceb7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74e6c0f1e925eb38fb0d4cec8c6a6152"><td class="memItemLeft" align="right" valign="top"><a id="a74e6c0f1e925eb38fb0d4cec8c6a6152"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>payload</b></td></tr>
<tr class="separator:a74e6c0f1e925eb38fb0d4cec8c6a6152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac98fb6538f1af64b814ec2cabc897194"><td class="memItemLeft" align="right" valign="top"><a id="ac98fb6538f1af64b814ec2cabc897194"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>msgId</b></td></tr>
<tr class="separator:ac98fb6538f1af64b814ec2cabc897194"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="PubSubClient_8h_source.html">PubSubClient.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
